## penguin 19

=== Compress/bz2/bzip2-0.9.5c-src/Makefile ===

SHELL=/bin/sh
CC=gcc
CFLAGS=-Wall -Winline -O2 -fomit-frame-pointer -fno-strength-reduce

OBJS= blocksort.o  \
      huffman.o    \
      crctable.o   \
      randtable.o  \
      compress.o   \
      decompress.o \
      bzlib.o

all: libbz2.a bzip2 bzip2recover test

bzip2: libbz2.a bzip2.o
	$(CC) $(CFLAGS) -o bzip2 bzip2.o -L. -lbz2

bzip2recover: bzip2recover.o
	$(CC) $(CFLAGS) -o bzip2recover bzip2recover.o

libbz2.a: $(OBJS)
	rm -f libbz2.a
	ar cq libbz2.a $(OBJS)
	@if ( test -f /usr/bin/ranlib -o -f /bin/ranlib -o \
		-f /usr/ccs/bin/ranlib ) ; then \
		echo ranlib libbz2.a ; \
		ranlib libbz2.a ; \
	fi

test: bzip2
	@cat words1
	./bzip2 -1  < sample1.ref > sample1.rb2
	./bzip2 -2  < sample2.ref > sample2.rb2
	./bzip2 -3  < sample3.ref > sample3.rb2
	./bzip2 -d  < sample1.bz2 > sample1.tst
	./bzip2 -d  < sample2.bz2 > sample2.tst
	./bzip2 -ds < sample3.bz2 > sample3.tst
	cmp sample1.bz2 sample1.rb2 
	cmp sample2.bz2 sample2.rb2
	cmp sample3.bz2 sample3.rb2
	cmp sample1.tst sample1.ref
	cmp sample2.tst sample2.ref
	cmp sample3.tst sample3.ref
	@cat words3

PREFIX=/usr

install: bzip2 bzip2recover
	if ( test ! -d $(PREFIX)/bin ) ; then mkdir $(PREFIX)/bin ; fi
	if ( test ! -d $(PREFIX)/lib ) ; then mkdir $(PREFIX)/lib ; fi
	if ( test ! -d $(PREFIX)/man ) ; then mkdir $(PREFIX)/man ; fi
	if ( test ! -d $(PREFIX)/man/man1 ) ; then mkdir $(PREFIX)/man/man1 ; fi
	if ( test ! -d $(PREFIX)/include ) ; then mkdir $(PREFIX)/include ; fi
	cp -f bzip2 $(PREFIX)/bin/bzip2
	cp -f bzip2 $(PREFIX)/bin/bunzip2
	cp -f bzip2 $(PREFIX)/bin/bzcat
	cp -f bzip2recover $(PREFIX)/bin/bzip2recover
	chmod a+x $(PREFIX)/bin/bzip2
	chmod a+x $(PREFIX)/bin/bunzip2
	chmod a+x $(PREFIX)/bin/bzcat
	chmod a+x $(PREFIX)/bin/bzip2recover
	cp -f bzip2.1 $(PREFIX)/man/man1
	chmod a+r $(PREFIX)/man/man1/bzip2.1
	cp -f bzlib.h $(PREFIX)/include
	chmod a+r $(PREFIX)/include/bzlib.h
	cp -f libbz2.a $(PREFIX)/lib
	chmod a+r $(PREFIX)/lib/libbz2.a

clean: 
	rm -f *.o libbz2.a bzip2 bzip2recover \
	sample1.rb2 sample2.rb2 sample3.rb2 \
	sample1.tst sample2.tst sample3.tst

blocksort.o: blocksort.c
	$(CC) $(CFLAGS) -c blocksort.c
huffman.o: huffman.c
	$(CC) $(CFLAGS) -c huffman.c
crctable.o: crctable.c
	$(CC) $(CFLAGS) -c crctable.c
randtable.o: randtable.c
	$(CC) $(CFLAGS) -c randtable.c
compress.o: compress.c
	$(CC) $(CFLAGS) -c compress.c
decompress.o: decompress.c
	$(CC) $(CFLAGS) -c decompress.c
bzlib.o: bzlib.c
	$(CC) $(CFLAGS) -c bzlib.c
bzip2.o: bzip2.c
	$(CC) $(CFLAGS) -c bzip2.c
bzip2recover.o: bzip2recover.c
	$(CC) $(CFLAGS) -c bzip2recover.c

tarfile:
	tar cvf interim.tar blocksort.c huffman.c crctable.c \
	randtable.c compress.c decompress.c bzlib.c bzip2.c \
	bzip2recover.c bzlib.h bzlib_private.h Makefile manual.texi \
	manual.ps LICENSE bzip2.1 bzip2.1.preformatted bzip2.txt \
	words1 words2 words3 sample1.ref sample2.ref sample3.ref \
	sample1.bz2 sample2.bz2 sample3.bz2 dlltest.c \
        *.html README CHANGES libbz2.def libbz2.dsp \
	dlltest.dsp makefile.msc

## penguin ai-0.4.0

=== penguin/requirements.txt ===
litellm
colorama
pygments
python-dotenv
Pillow
flake8
pytest
rich
tiktoken
torch
sentence-transformers
pyyaml
sphinx
sphinx-rtd-theme
myst-parser
IPython
bs4
plotext
matplotlib
tqdm
openai>=1.0.0  # Required for OpenRouter support

chromadb
ollama

## penguin tamer-0.6.0.dev2

=== backup_ai-ebash/requirements.txt ===
certifi==2025.8.3
charset-normalizer==3.4.3
idna==3.10
markdown-it-py==3.0.0
mdurl==0.1.2
platformdirs==4.4.0
Pygments==2.19.2
requests==2.32.5
rich==14.1.0
urllib3==2.5.0
openai==1.108.0
PyYAML==6.0.2
inquirer==3.4.0
prompt-toolkit==3.0.52
-e .

=== backup_ai-ebash/debian/changelog ===
ai-ebash (0.2.8-1) unstable; urgency=medium

  * Initial release

 -- Andrey Bochkarev <andrey.bch.1976@gmail.com>  Wed, 11 Sep 2025 12:00:00 +0300

=== backup_ai-ebash/debian/control ===
Source: ai-ebash
Section: python
Priority: optional
Maintainer: Andrey Bochkarev <andrey.bch.1976@gmail.com>
Build-Depends: debhelper-compat (= 13),
               python3-all,
               python3-setuptools,
               python3-pip,
               dh-python,
               dh-virtualenv,
               python3-venv
Standards-Version: 4.6.2
Homepage: https://github.com/Vivatist/ai-bash

Package: ai-ebash
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: AI-powered Bash shell assistant
 AI-eBash is an intelligent command-line assistant that uses AI to help
 with shell commands and system administration tasks. It provides
 contextual suggestions, command explanations, and automated script
 generation using OpenAI's GPT models.

=== backup_ai-ebash/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

# Явно вызываем dh_virtualenv на этапе установки, без добавления аддона в '--with'
override_dh_auto_install:
	dh_virtualenv --python python3 \
		--requirements requirements.txt

# Не выполняем стандартные auto-* этапы (проект упаковывается через dh_virtualenv)
override_dh_auto_configure:
	:

override_dh_auto_build:
	:

override_dh_auto_clean:
	:

override_dh_auto_test:
	:

## penguin tamer-0.7.4

=== requirements.txt ===
certifi==2025.8.3
charset-normalizer==3.4.3
idna==3.10
markdown-it-py==3.0.0
mdurl==0.1.2
platformdirs==4.4.0
Pygments==2.19.2
requests==2.32.5
rich==14.1.0
urllib3==2.5.0
openai==1.108.0
PyYAML==6.0.2
inquirer==3.4.0
prompt-toolkit==3.0.52

## penguin tamer-0.7.12

=== Makefile ===
.PHONY: help install test test-fast test-cov clean install-hooks

help:
	@echo "Команды:"
	@echo "  make install       - Установить зависимости"
	@echo "  make install-hooks - Установить git hooks"
	@echo "  make test          - Запустить все тесты"
	@echo "  make test-fast     - Запустить быстрые тесты"
	@echo "  make test-cov      - Запустить тесты с покрытием"
	@echo "  make clean         - Очистить временные файлы"

install:
	pip install -r requirements.txt
	pip install pytest pytest-cov pytest-timeout

install-hooks:
	@echo "Установка git hooks..."
	@echo '#!/bin/bash' > .git/hooks/pre-commit
	@echo 'echo "🔍 Running pre-commit tests..."' >> .git/hooks/pre-commit
	@echo 'python run_tests.py --fast' >> .git/hooks/pre-commit
	@echo 'if [ $$? -ne 0 ]; then' >> .git/hooks/pre-commit
	@echo '    echo ""' >> .git/hooks/pre-commit
	@echo '    echo "❌ Fast tests failed! Commit aborted."' >> .git/hooks/pre-commit
	@echo '    echo "   Fix the tests or use \"git commit --no-verify\" to skip."' >> .git/hooks/pre-commit
	@echo '    exit 1' >> .git/hooks/pre-commit
	@echo 'fi' >> .git/hooks/pre-commit
	@echo 'echo ""' >> .git/hooks/pre-commit
	@echo 'echo "✅ All tests passed! Proceeding with commit."' >> .git/hooks/pre-commit
	@echo 'exit 0' >> .git/hooks/pre-commit
	@chmod +x .git/hooks/pre-commit
	@echo '#!/bin/bash' > .git/hooks/pre-push
	@echo 'echo "🚀 Running pre-push tests..."' >> .git/hooks/pre-push
	@echo 'python run_tests.py' >> .git/hooks/pre-push
	@echo 'if [ $$? -ne 0 ]; then' >> .git/hooks/pre-push
	@echo '    echo ""' >> .git/hooks/pre-push
	@echo '    echo "❌ Tests failed! Push aborted."' >> .git/hooks/pre-push
	@echo '    echo "   Fix the tests or use \"git push --no-verify\" to skip."' >> .git/hooks/pre-push
	@echo '    exit 1' >> .git/hooks/pre-push
	@echo 'fi' >> .git/hooks/pre-push
	@echo 'echo ""' >> .git/hooks/pre-push
	@echo 'echo "✅ All tests passed! Proceeding with push."' >> .git/hooks/pre-push
	@echo 'exit 0' >> .git/hooks/pre-push
	@chmod +x .git/hooks/pre-push
	@echo "✅ Git hooks установлены!"
	@echo "   Pre-commit: быстрые тесты перед коммитом"
	@echo "   Pre-push: все тесты перед push"

test:
	python run_tests.py

test-fast:
	python run_tests.py --fast

test-cov:
	python run_tests.py --cov

clean:
	rm -rf __pycache__ .pytest_cache .coverage htmlcov
	rm -rf tests/__pycache__ src/penguin_tamer/__pycache__
	find . -type d -name "__pycache__" -exec rm -rf {} + 2>/dev/null || true
	find . -type f -name "*.pyc" -delete

=== requirements.txt ===
--- 
+++ 
@@ -12,3 +12,4 @@
 PyYAML==6.0.2
 inquirer==3.4.0
 prompt-toolkit==3.0.52
+textual>=0.47.0

## penguin tamer-0.9.0

=== requirements.txt ===
--- 
+++ 
@@ -13,3 +13,4 @@
 inquirer==3.4.0
 prompt-toolkit==3.0.52
 textual>=0.47.0
+sseclient-py==1.8.0
